var neo4j = require('neo4j-driver').v1
var driver = neo4j.driver("bolt://localhost:7687", neo4j.auth.basic("neo4j", "admin"))
var session = driver.session()
const runInNeo4j = (query) => session.run(query).then(res => Promise.resolve(res)).catch(err => Promise.reject(err))

import Entity from './Entity'

export default class Location extends Entity {

  constructor() {
    super()
    super.init({
      label: "Location",
      essentials: {
        idLocation: {
          type: "string",
          key: true
        },
        parent: {
          type: "relationship",
          label: "Location",
          relName: "AT",
          incoming: false
        }
      }
    })
  }

  createRootNode() {
    return runInNeo4j("MERGE (root:Location {idLocation: 'root'})")
  }

}
