var neo4j = require('neo4j-driver').v1
var driver = neo4j.driver("bolt://localhost:7687", neo4j.auth.basic("neo4j", "admin"))
var session = driver.session()
const runInNeo4j = (query) => session.run(query).then(res => Promise.resolve(res)).catch(err => Promise.reject(err))

import Entity from './Entity'
export default class Move extends Entity {
  // {idMove: "mv00003", from: "InvIni", to:"CocHel", actor: "juan", qtyMoving: 0.8, what: "Leche", when: "2017-10-11T10:25:25", why: "Parte de la toma de inventario de la mañana del 11 de noviembre"}
  constructor() {
    super()
    super.init({
      label: "Move",
      essentials: {
        idMove: {
          type: "string",
          key: true
        },
        from: {
          type: "relationship",
          label: "Location",
          relName: "FROM",
          incoming: false
        },
        to: {
          type: "relationship",
          label: "Location",
          relName: "TO",
          incoming: false
        },
        actor: {
          type: "relationship",
          label: "Actor",
          relName: "ACTOR",
          incoming: false
        },
        what: {
          type: "relationship",
          label: "Product",
          relName: "WHAT",
          incoming: false
        },
        qtyMoving: {
          type: "double"
        },
        when: {
          type: "date"
        }
      }
    })
  }

}
