var neo4j = require('neo4j-driver').v1
var driver = neo4j.driver("bolt://localhost:7687", neo4j.auth.basic("neo4j", "admin"))
var session = driver.session()
const runInNeo4j = (query) => session.run(query).then(res => Promise.resolve(res)).catch(err => Promise.reject(err))

import Entity from './Entity'
export default class Order extends Entity {
  // {idOrder: "ls00001", due: "2017-10-14", output:"TortaLista", qtyOrdered: 4}
  constructor() {
    super()
    super.init({
      label: "Order",
      essentials: {
        idOrder: {
          type: "string",
          key: true
        },
        due: {
          type: "date"
        },
        output: {
          type: "relationship",
          label: "Product",
          relName: "MAKES",
          incoming: false
        },
        qtyOrdered: {
          type: "double"
        }
      }
    })
  }

}
