var neo4j = require('neo4j-driver').v1
var driver = neo4j.driver("bolt://localhost:7687", neo4j.auth.basic("neo4j", "admin"))
var session = driver.session()
const runInNeo4j = (query) => session.run(query).then(res => Promise.resolve(res)).catch(err => Promise.reject(err))

import Entity from './Entity'
export default class OrderInput extends Entity {

  // {idOrderInput: "ls00001.Leche",    what: "Leche",    where: "ls00001", percent: 0.500,  decrease: 0.05, actor: "lu"}

  constructor() {
    super()
    super.init({
      label: "OrderInput",
      essentials: {
        idOrderInput: {
          type: "string",
          key: true
        },
        what: {
          type: "relationship",
          label: "Product",
          relName: "WHAT",
          incoming: false
        },
        where: {
          type: "relationship",
          label: "Order",
          relName: "WHERE",
          incoming: false
        }
      }
    })
  }

}
