var expect = require('chai').expect
var should = require('chai').should()
var babel = require('babel-core/register')
import Actor from '../models/Actor'
let obj = { idActor: "mica", nombre: "Micaela Cumelén Vía Knye", skill: "ayudante" }

describe('Class Actor', function() {
  before(function(done) {
    new Actor().deleteAll()
    done()
  })
  it(`Has a good name (Actor)`, function() {
    let actor = new Actor()
    expect(actor.label).to.equal("Actor")
  })
  it('at start #deleteAll should have emptied the Actor label', function(done) {
    new Actor().getAll()
      .then(function(data) {
        expect(JSON.stringify(data)).to.equal("[]")
        done();
      })
      .catch(function(err) {
        done(err)
      })
  })
  it('#initializeLabel should initialize the Actor label', function() {
    new Actor().initializeLabel()
      .then(() => done())
      .catch((err) => done(err))
  })
  it('#set should add a Actor', function(done) {
    new Actor().set(obj)
      .then(() => done())
      .catch((err) => done(err))
  })
  it('#getAll should get the new Actor', function(done) {

    new Actor().getAll()
      .then((data) => {
        expect(data[0].idLocation).to.equal(obj.idLocation)
        expect(data[0].nombre).to.equal(obj.nombre)
        expect(data[0].skill).to.equal(obj.skill)
        done()
      })
      .catch((err) => done(err))
  })
  it('#set should not duplicate the Actor', function(done) {
    new Actor().set(obj)
      .then(new Actor().getAll()
        .then((data) => {
          expect(data.length).to.equal(1)
          done()
        })
        .catch((err) => done())
      )
  })
  it.skip('#delete should erase an Actor', (done) => {
    new Actor().delete(obj.idActor)
      .then(() => {
        var result = new Actor().getAll().then((data) => {
            expect(JSON.stringify(data)).to.equal("[]")
          })
          .catch((err) => done(err))
        done()
      })
      .catch((err) => done(err))
  })

})
