var expect = require('chai').expect
var should = require('chai').should()
var babel = require('babel-core/register')
import OrderInput from '../models/OrderInput'
let obj = {idOrderInput: "ls00001_Huevos",   what: "Huevos",   where: "ls00001", percent: 0.240,  decrease: 0.05, actor: "lu"}
describe('Class OrderInput', function() {
  before(function(done) {
    new OrderInput().deleteAll()
    done()
  })
  it(`Has a good name (OrderInput)`, function() {
    let oi = new OrderInput()
    expect(oi.label).to.equal("OrderInput")
  })
  it('at start #deleteAll should have emptied the OrderInput label', function(done) {
    new OrderInput().getAll()
      .then(function(data) {
        expect(JSON.stringify(data)).to.equal("[]")
        done();
      })
      .catch(function(err) {
        done(err)
      })
  })
  it('#initializeLabel should initialize the OrderInput label', function() {
    new OrderInput().initializeLabel()
      .then(() => done())
      .catch((err) => done(err))
  })
  it('#set should add a OrderInput', function(done) {
    new OrderInput().set(obj)
      .then(() => done())
      .catch((err) => done(err))
  })
  it('#getAll should get the new OrderInput', function(done) {
    new OrderInput().getAll()
      .then((data) => {
        expect(data[0].actor).to.equal(obj.actor)
        expect(data[0].idOrderInput).to.equal(obj.idOrderInput)
        expect(data[0].percent).to.equal(obj.percent)
        expect(data[0].decrease).to.equal(obj.decrease)
        done()
      })
      .catch((err) => done(err))
  })
  it('#set should not duplicate the OrderInput', function(done) {
    new OrderInput().set(obj)
      .then(new OrderInput().getAll()
        .then((data) => {
          expect(data[0].actor).to.equal(obj.actor)
          expect(data[0].idOrderInput).to.equal(obj.idOrderInput)
          expect(data[0].percent).to.equal(obj.percent)
          expect(data[0].decrease).to.equal(obj.decrease)
          done()
        })
        .catch((err) => done())
      )
  })
  it.skip('#delete should erase a OrderInput', (done) => {
    new OrderInput().delete(obj.idOrderInput)
      .then(() => {
        var result = new OrderInput().getAll().then((data) => {
            expect(JSON.stringify(data)).to.equal("[]")
          })
          .catch((err) => done(err))
        done()
      })
      .catch((err) => done(err))
  })

})
