export default {
  products: [
    {idProduct:"Azucar", descripcion:"Azucar", unidadDeMedida:"KG"},
    {idProduct:"Manteca", descripcion:"Manteca", unidadDeMedida:"KG"},
    {idProduct:"Agua", descripcion:"Agua (preferentemente potable)", unidadDeMedida:"KG"},
    {idProduct:"Sal", descripcion:"Sal Fina", unidadDeMedida:"KG"},
    {idProduct:"Harina", descripcion:"Harina", unidadDeMedida:"KG"},
    {idProduct:"Leudante", descripcion:"Polvo Royal", unidadDeMedida:"KG"},
    {idProduct:"Vainilla", descripcion:"Esencia de vainilla", unidadDeMedida:"KG"},
    {idProduct:"Leche", descripcion:"Leche", unidadDeMedida:"KG"},
    {idProduct:"Aceite", descripcion:"Aceite", unidadDeMedida:"KG"},
    {idProduct:"Huevos", descripcion:"Huevos", unidadDeMedida:"KG"},
    {idProduct:"CajaTortas", descripcion:"Cajas para torta", unidadDeMedida:"UN"},
    {idProduct:"Tarjeta", descripcion:"Tarjeta de presentación", unidadDeMedida:"UN"},
    {idProduct:"TortaLista", descripcion:"Torta lista de Rosana (https://cookpad.com/es/recetas/157897-torta-lista?ref=search)", unidadDeMedida:"UN"},
    {idProduct:"TortaEnCaja", descripcion:"TortaLista en caja", unidadDeMedida:"UN"}
  ],
  actors: [
    {idActor: "ale", nombre: "Alejandro Augusto Vía Canel", skill: "cook"},
    {idActor: "lu", nombre: "Lucía Sanchez", skill: "chef"},
    {idActor: "juan", nombre: "Juan Vía", skill: "bachero"},
    {idActor: "mica", nombre: "Micaela Cumelén Vía Knye", skill: "ayudante"}
  ],
  locations : [
    {idLocation:"root", tipo:"root", descripcion: "root"},
    {idLocation:"InvTot", tipo:"source", descripcion: "Inventarios", parent: "root"},
    {idLocation:"InvIni", tipo:"source", descripcion: "Inventario inicial", parent: "InvTot"},
    {idLocation:"CmpGen", tipo:"source", descripcion: "CmpGen", parent: "root"},
    {idLocation:"PedGen", tipo:"source", descripcion: "Pedido", parent: "root"},
    {idLocation:"CmpCar", tipo:"source", descripcion: "Compras en Carrefour", parent:"CmpGen"},
    {idLocation:"CmpMar", tipo:"source", descripcion: "Compras en el mercadito de Mario", parent:"CmpGen"},
    {idLocation:"CmpMyA", tipo:"source", descripcion: "Compras en el maxiquiosco de Marcelo y Andrea", parent:"CmpGen"},
    {idLocation:"Existencias", tipo:"container", descripcion: "Existencias en general", parent: "root"},
    {idLocation:"CocGen", tipo:"container", descripcion: "Cocina (lugar)", parent: "Existencias"},
    {idLocation:"BauAut", tipo:"container", descripcion: "El baúl del auto", parent: "root"},
    {idLocation:"CocCoc", tipo:"container", descripcion: "Cocina (aparato)", parent:"CocGen"},
    {idLocation:"CocEst", tipo:"container", descripcion: "Estante", parent:"CocGen"},
    {idLocation:"CocHel", tipo:"container", descripcion: "Heladera", parent:"CocGen"},
    {idLocation:"CocMes", tipo:"container", descripcion: "Mesa", parent:"CocGen"},
    {idLocation:"CocBas", tipo:"container", descripcion: "Tacho de basura", parent:"CocGen"},
    {idLocation:"ExtGen", tipo:"sink", descripcion: "Extravío", parent: "root"}
  ],
  moves: [
    {idMove: "mv00001", from: "InvIni", to:"CocEst", actor: "juan", qtyMoving: 1.5,  what: "Harina", when: "2017-10-11T10:07:04", why: "Parte de la toma de inventario de la mañana del 11 de noviembre"},
    {idMove: "mv00002", from: "InvIni", to:"CocEst", actor: "juan", qtyMoving: 0.5, what: "Aceite", when: "2017-10-11T10:09:25", why: "Parte de la toma de inventario de la mañana del 11 de noviembre"},
    {idMove: "mv00003", from: "InvIni", to:"CocHel", actor: "juan", qtyMoving: 0.8, what: "Leche", when: "2017-10-11T10:25:25", why: "Parte de la toma de inventario de la mañana del 11 de noviembre"}
  ],
  orders: [
    {idOrder: "ls00001", due: "2017-10-14", output:"TortaLista", qtyOrdered: 4}
  ],
  orderinputs: [
    {idOrderInput: "ls00001_Huevos",   what: "Huevos",   where: "ls00001", percent: 0.240,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Azucar",   what: "Azucar",   where: "ls00001", percent: 0.150,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Agua",     what: "Agua",     where: "ls00001", percent: 0.020,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Manteca",  what: "Manteca",  where: "ls00001", percent: 0.125,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Harina",   what: "Harina",   where: "ls00001", percent: 0.120,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Vainilla", what: "Vainilla", where: "ls00001", percent: 0.002,  decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Sal",      what: "Sal",      where: "ls00001", percent: 0.0001, decrease: 0.05, actor: "lu"},
    {idOrderInput: "ls00001_Leche",    what: "Leche",    where: "ls00001", percent: 0.500,  decrease: 0.05, actor: "lu"}
  ]
}
/*
  1 TAZA DE HARINA PESA .....140 G
  1 TAZA DE ALMIDON DE MAIZ PESA ....160 G
  1 TAZA DE AZUCAR PESA .....240 G
  1 TAZA DE MANTECA PESA.... 240 G
  1 TAZA DE CACAO AMARGO PESA .... 110 G
  1 TAZA DE FECULA DE MAIZ PESA.... 115 G
  1 TAZA DE LECHE PESA....225 G
  1 TAZA DE AVENA ....150 G
  1 TAZA DE HARINA DE MAIZ PESA ....200 G
  1 TAZA DE ARROZ PESA....220 G
  1 TAZA DE AZUCAR IMPALPABLE PESA.... 160 G
  1 TAZA DE AZUCAR NEGRO BIEN PRENSADA PESA...200 G
  1 TAZA DE SEMOLA PESA... 190 G
  1 TAZA DE PASAS DE UVA PESA .... 150 G
  1 TAZA DE NUECES´PICADAS PESA ...110 G

  1 HUEVO PESA ...60 G
 */
/*
MATCH   (l:Location {idLocation: 'InvIni'})<-[r:AT*0..]-(s)<-[m:FROM|TO]-(t)-[:WHAT]->(p)
WITH    p.idProduct as CODIGO,
        p.descripcion as PRODUCTO,
        sum(CASE type(m) WHEN 'FROM' THEN -t.qtyMoving ELSE t.qtyMoving END) as CANTIDAD,
        p.unidadDeMedida as UM
WHERE   CANTIDAD <> 0
RETURN  CODIGO, PRODUCTO, CANTIDAD, UM
*/
// MERGE (nodo_OrderInput_ls00001.Huevos:OrderInput {idOrderInput: 'ls00001Huevos' }) WITH nodo_OrderInput_ls00001.Huevos SET nodo_OrderInput_ls00001.Huevos.percent =  0.24,nodo_OrderInput_ls00001.Huevos.decrease =  0.05,nodo_OrderInput_ls00001.Huevos.actor =  'lu' WITH nodo_OrderInput_ls00001.Huevos MATCH (nodo_Product_Huevos:Product { idProduct: 'Huevos' } ) MERGE (nodo_OrderInput_ls00001.Huevos)-[:WHAT]->(nodo_Product_Huevos) WITH nodo_OrderInput_ls00001.Huevos MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Huevos)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Azucar:OrderInput {idOrderInput: 'ls00001.Azucar' }) WITH nodo_OrderInput_ls00001.Azucar SET nodo_OrderInput_ls00001.Azucar.percent =  0.15,nodo_OrderInput_ls00001.Azucar.decrease =  0.05,nodo_OrderInput_ls00001.Azucar.actor =  'lu' WITH nodo_OrderInput_ls00001.Azucar MATCH (nodo_Product_Azucar:Product { idProduct: 'Azucar' } ) MERGE (nodo_OrderInput_ls00001.Azucar)-[:WHAT]->(nodo_Product_Azucar) WITH nodo_OrderInput_ls00001.Azucar MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Azucar)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Agua:OrderInput {idOrderInput: 'ls00001.Agua' }) WITH nodo_OrderInput_ls00001.Agua SET nodo_OrderInput_ls00001.Agua.percent =  0.02,nodo_OrderInput_ls00001.Agua.decrease =  0.05,nodo_OrderInput_ls00001.Agua.actor =  'lu' WITH nodo_OrderInput_ls00001.Agua MATCH (nodo_Product_Agua:Product { idProduct: 'Agua' } ) MERGE (nodo_OrderInput_ls00001.Agua)-[:WHAT]->(nodo_Product_Agua) WITH nodo_OrderInput_ls00001.Agua MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Agua)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Manteca:OrderInput {idOrderInput: 'ls00001.Manteca' }) WITH nodo_OrderInput_ls00001.Manteca SET nodo_OrderInput_ls00001.Manteca.percent =  0.125,nodo_OrderInput_ls00001.Manteca.decrease =  0.05,nodo_OrderInput_ls00001.Manteca.actor =  'lu' WITH nodo_OrderInput_ls00001.Manteca MATCH (nodo_Product_Manteca:Product { idProduct: 'Manteca' } ) MERGE (nodo_OrderInput_ls00001.Manteca)-[:WHAT]->(nodo_Product_Manteca) WITH nodo_OrderInput_ls00001.Manteca MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Manteca)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Harina:OrderInput {idOrderInput: 'ls00001.Harina' }) WITH nodo_OrderInput_ls00001.Harina SET nodo_OrderInput_ls00001.Harina.percent =  0.12,nodo_OrderInput_ls00001.Harina.decrease =  0.05,nodo_OrderInput_ls00001.Harina.actor =  'lu' WITH nodo_OrderInput_ls00001.Harina MATCH (nodo_Product_Harina:Product { idProduct: 'Harina' } ) MERGE (nodo_OrderInput_ls00001.Harina)-[:WHAT]->(nodo_Product_Harina) WITH nodo_OrderInput_ls00001.Harina MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Harina)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Vainilla:OrderInput {idOrderInput: 'ls00001.Vainilla' }) WITH nodo_OrderInput_ls00001.Vainilla SET nodo_OrderInput_ls00001.Vainilla.percent =  0.002,nodo_OrderInput_ls00001.Vainilla.decrease =  0.05,nodo_OrderInput_ls00001.Vainilla.actor =  'lu' WITH nodo_OrderInput_ls00001.Vainilla MATCH (nodo_Product_Vainilla:Product { idProduct: 'Vainilla' } ) MERGE (nodo_OrderInput_ls00001.Vainilla)-[:WHAT]->(nodo_Product_Vainilla) WITH nodo_OrderInput_ls00001.Vainilla MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Vainilla)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Sal:OrderInput {idOrderInput: 'ls00001.Sal' }) WITH nodo_OrderInput_ls00001.Sal SET nodo_OrderInput_ls00001.Sal.percent =  0.0001,nodo_OrderInput_ls00001.Sal.decrease =  0.05,nodo_OrderInput_ls00001.Sal.actor =  'lu' WITH nodo_OrderInput_ls00001.Sal MATCH (nodo_Product_Sal:Product { idProduct: 'Sal' } ) MERGE (nodo_OrderInput_ls00001.Sal)-[:WHAT]->(nodo_Product_Sal) WITH nodo_OrderInput_ls00001.Sal MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Sal)-[:WHERE]->(nodo_Order_ls00001)MERGE (nodo_OrderInput_ls00001.Leche:OrderInput {idOrderInput: 'ls00001.Leche' }) WITH nodo_OrderInput_ls00001.Leche SET nodo_OrderInput_ls00001.Leche.percent =  0.5,nodo_OrderInput_ls00001.Leche.decrease =  0.05,nodo_OrderInput_ls00001.Leche.actor =  'lu' WITH nodo_OrderInput_ls00001.Leche MATCH (nodo_Product_Leche:Product { idProduct: 'Leche' } ) MERGE (nodo_OrderInput_ls00001.Leche)-[:WHAT]->(nodo_Product_Leche) WITH nodo_OrderInput_ls00001.Leche MATCH (nodo_Order_ls00001:Order { idOrder: 'ls00001' } ) MERGE (nodo_OrderInput_ls00001.Leche)-[:WHERE]->(nodo_Order_ls00001)
